cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Client.Utils.Assertion

Synopsis

- expensiveAssert :: Bool -> a -> a

# Documentation

expensiveAssert :: Bool -> a -> a #

Like `assert`, but only enabled with -fdebug-expensive-assertions. This function can be used for expensive assertions that should only be turned on during testing or debugging.